Package com.sas.metadata.remote

# Interface FitStatistic

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `Remote`, `Root`, `SecondaryType`

public interface FitStatistic extends SecondaryType
Usually a measure of the accuracy of a predicted value. Maybe a measure of the accuracy/performance of the model. Used by SAS Enterprise Miner.

Attributes of FitStatistic are:

- `FitStatisticValue`
- `Role`

Associations of FitStatistic are:

- `OwningTarget`

## Usage

To create an instance of this FitStatistic, use the `factory` create methods.
Example: create a FitStatistic with name "FitStatistic_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     FitStatistic myObject = (FitStatistic) factory.createComplexMetadataObject(objectStore, "FitStatistic_Object", MetadataObjects.FITSTATISTIC, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_OWNINGTARGET_NAME`
  Constant used for the name of the OwningTarget association.
  `static final String`
  `ATTRIBUTE_FITSTATISTICVALUE_NAME`
  Constant used for the name of the FitStatisticValue attribute.
  `static final String`
  `ATTRIBUTE_ROLE_NAME`
  Constant used for the name of the Role attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getFitStatisticValue()`
  Gets the `double` value of `FitStatisticValue`
  `int`
  `getFitStatisticValueState()`
  Gets the Metadata State of `FitStatisticValue`
  `Target`
  `getOwningTarget()`
  Gets the `Target` for `OwningTarget`
  `AssociationList`
  `getOwningTargets()`
  Gets the Association list of `OwningTargets`
  `AssociationList`
  `getOwningTargets(boolean fGoToServer)`
  Gets the Associationlist of `OwningTargets`
  `String`
  `getRole()`
  Gets the `String` value of `Role`
  `int`
  `getRoleMaxLength()`
  Gets the maximum length of `Role`
  `int`
  `getRoleState()`
  Gets the Metadata State of `Role`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `OwningTarget`
  `void`
  `setFitStatisticValue(double inFitStatisticValue)`
  Sets the `FitStatisticValue` value and sets the state to MetadataState.LOCAL.
  `void`
  `setFitStatisticValue(double inFitStatisticValue, int state)`
  Sets the `FitStatisticValue` Metadata State.
  `void`
  `setFitStatisticValue(String inFitStatisticValue)`
  Sets the `FitStatisticValue` value and sets the state to MetadataState.LOCAL
  `void`
  `setFitStatisticValue(String inFitStatisticValue, int state)`
  Sets the `FitStatisticValue` value and Metadata State.
  `void`
  `setFitStatisticValueState(int state)`
  Sets the Metadata State of `FitStatisticValue`.
  `void`
  `setOwningTarget(Target inObject)`
  Sets the `OwningTargets` list 0th element to be `inObject`.
  `void`
  `setOwningTargets(AssociationList list)`
  Sets the `OwningTargets` list to be `list`.
  `void`
  `setOwningTargets(AssociationList list, int state)`
  Sets the `OwningTargets` list to be `list`.
  `void`
  `setRole(String inRole)`
  Sets the `Role` value and sets the state to MetadataState.LOCAL.
  `void`
  `setRole(String inRole, int state)`
  Sets the `Role` Metadata State.
  `void`
  `setRoleState(int state)`
  Sets the Metadata State of `Role`.

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_FITSTATISTICVALUE_NAME

    static final String ATTRIBUTE_FITSTATISTICVALUE_NAME
    Constant used for the name of the FitStatisticValue attribute.

    FitStatisticValue: The value of the statistic.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ROLE_NAME

    static final String ATTRIBUTE_ROLE_NAME
    Constant used for the name of the Role attribute.

    Role: Identifies the set of observations from which the statistic was obtained, such as Train or Validate.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_OWNINGTARGET_NAME

    static final String ASSOCIATION_OWNINGTARGET_NAME
    Constant used for the name of the OwningTarget association.

    OwningTarget: The target with which statistic is associated to.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    `OwningTarget`
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Specified by:
      `initializeRequiredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `Root`
    Specified by:
      `initializePredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getFitStatisticValue

    double getFitStatisticValue() throws RemoteException
    Gets the `double` value of `FitStatisticValue`
    Returns:
      The `FitStatisticValue`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getFitStatisticValueState

    int getFitStatisticValueState() throws RemoteException
    Gets the Metadata State of `FitStatisticValue`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getRole

    String getRole() throws RemoteException
    Gets the `String` value of `Role`
    Returns:
      The `Role`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getRoleState

    int getRoleState() throws RemoteException
    Gets the Metadata State of `Role`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getRoleMaxLength

    int getRoleMaxLength() throws RemoteException
    Gets the maximum length of `Role`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getOwningTargets

    AssociationList getOwningTargets() throws RemoteException, MdException
    Gets the Association list of `OwningTargets`
    Returns:
      The AssociationList of `OwningTargets` which can be of type:
      Target
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getOwningTarget

    Target getOwningTarget() throws RemoteException, MdException
    Gets the `Target` for `OwningTarget`
    Returns:
      The `Target` ( `null` if not set ) of `OwningTarget` which can be of type:
      Target
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getOwningTargets

    AssociationList getOwningTargets(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `OwningTargets`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `OwningTargets` which can be of type:
      Target
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setFitStatisticValue

    void setFitStatisticValue(double inFitStatisticValue) throws RemoteException
    Sets the `FitStatisticValue` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inFitStatisticValue` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFitStatisticValue

    void setFitStatisticValue(double inFitStatisticValue, int state) throws RemoteException
    Sets the `FitStatisticValue` Metadata State.
    Parameters:
      `inFitStatisticValue` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFitStatisticValue

    void setFitStatisticValue(String inFitStatisticValue) throws RemoteException
    Sets the `FitStatisticValue` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inFitStatisticValue` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFitStatisticValue

    void setFitStatisticValue(String inFitStatisticValue, int state) throws RemoteException
    Sets the `FitStatisticValue` value and Metadata State.
    Parameters:
      `inFitStatisticValue` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFitStatisticValueState

    void setFitStatisticValueState(int state) throws RemoteException
    Sets the Metadata State of `FitStatisticValue`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setRole

    void setRole(String inRole) throws RemoteException
    Sets the `Role` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inRole` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setRole

    void setRole(String inRole, int state) throws RemoteException
    Sets the `Role` Metadata State.
    Parameters:
      `inRole` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setRoleState

    void setRoleState(int state) throws RemoteException
    Sets the Metadata State of `Role`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningTargets

    void setOwningTargets(AssociationList list) throws RemoteException
    Sets the `OwningTargets` list to be `list`. Objects of which can be of type:
    Target
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningTargets

    void setOwningTargets(AssociationList list, int state) throws RemoteException
    Sets the `OwningTargets` list to be `list`. Objects of which can be of type:
    Target
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningTarget

    void setOwningTarget(Target inObject) throws RemoteException
    Sets the `OwningTargets` list 0th element to be `inObject`.
    Parameters:
      `inObject` - Target
    Throws:
      `RemoteException` - If error communicating with remote object.